
body{
  
    width: 100% !important;
    height:100%;
    justify-content: center;
    background: #f9f9f9;
    
}
.box{
    
    width: 300px;
    display: flex;
    width: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

#logo{
    align-items: center;
    margin-bottom: 32px;
    cursor: pointer;
}
.logo-ltv{
    font-size: 6rem;
    line-height: 5rem;
}

.logo-text{
    font-size: 1.2rem;
    color: var(--color-supplimental-dark);
}

.row .input{
    padding: 0 16px 0;
}

#button-holder{
    width:100%;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    padding-bottom: 64px;
    
}

.button{
    width: 300px;
    margin: 4px 0 0;
    color: var(--color-blue-lt) !important;
    background-color: var(--color-blue) ;
}

.button:hover{
    background-color: var(--color-blue-hover);
    color: var(--color-blue-lt) !important;


}

.header-text{
    font-size: 3rem;
    color: var(--color-supplimental-dark);
    font-weight: 500;
    margin: 0 0 32px;
}

.content{
    width: 800px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 32px;
    justify-content: center;

}

#reset-holder,
#success-header{
    justify-content: center;
    position: absolute;
    text-align: center;
    top: 150px;
    left:0;
    right:0;
    margin-left:auto;
    margin-right:auto;
  }

  #sign-up-holder, #other-holder{
      height: 56px;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
  }

#forgot-password{
    text-align:center;
    margin-top:24px; 
    margin-bottom: 4px;
    cursor: pointer;
    font-weight: 500;    
    color: #a8a39d;
    color: var(--color-gray-light);
}

#form_holder{
    width: 400px;
}
.column.input {
    height: 80px;
    margin-bottom: 16px;
}
.input-field{
    width: 100%;
    height: 48px;
    margin-top: 4px;
    
}

input{
    
    height: 100%;
    width: 100%;
    font-size: 1.7rem;
    padding-left: 8px;
    font-weight: 100;
    color: var(--color-header);
    border-style: solid;
    border: 0.5px solid var(--color-supplimental-dark);
    border-radius: 5px;
    background-color: var(--color-supplimental-light);
    box-sizing: border-box; /* add this */
      -webkit-box-sizing: border-box;
      -moz-box-sizing: border-box;
}
input:focus{
    border: 3px solid var(--color-blue);
    outline-style: none;
    border-color: var(--color-blue);
    box-shadow: transparent;
    border-style: solid;
    


}


label{
    color: var(--color-supplimental-dark);
}

#sign-up-holder{
    margin:8px 0 8px;
    text-align: center;
}

#no-account{
    color: #a8a39d;
    color: var(--color-gray-light);
    font-weight: 300;
}

#sign-up{
    color: #a8a39d;
    color: var(--color-gray-light);    
    font-weight: 500;
    cursor: pointer;
    
}

#signup-form{
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}




#error-message{
    width: 100%;
    text-align: center;
}

#modal-signup{
    color: var(--color-supplimental-dark);
    padding: 0;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    justify-content: center;
    overflow: scroll;
}

#modal-signup-holder{
    background-color: white;
    padding: 24px;
    width: 600px;
    max-height: 100vh;
    border-radius: 5px;
    overflow: auto;
}

#signup-close{
    position: relative;
    bottom: 24px;
    left: 24px;
}
#signup-header{
    color: var(--color-blue);
    width: 90%;
    font-size: 2rem;
    font-weight: 500;
}
#signup-form{
    margin-top: 32px;
}

#signup-form.column.input,
#signup-form.row.input{
    max-width: 100% !important;
}

#signup-error-message{
    font-weight: 500;
    font-size: 1.2rem;
    text-align: center;
    height:auto;
}

#signup-error-message.hidden{
    height: 0;
}

.input-field-phone{
    display: flex;
    flex-direction: row;
    border: 1px solid var(--color-supplimental);
    border-radius: 3px;
    height: 48px;
    padding-left: 16px;

}

.blank-input:focus{
    border:none;
    outline-style: none;
    border-color: transparent;
    box-shadow: transparent;
    border-style: solid;
}

.input-phone-text{
    font-size: 1.7rem;
    font-weight: 300;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}




.blank-input{
    border: none;
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

#signup-phone-area,
#signup-phone-pre{
    width: 4rem;
    text-align: center;
}


#modal-reset{
    flex-direction: column;
    justify-content: center;
    padding: 0;
}

#reset-header{
    font-size: 3rem;
    color: white;
    text-align: center;
}

#reset-button{
    margin-top: 24px;
    padding-left: 24px;
    padding-right: 24px;
   
}


/***********************RESPONSIVE BELOW************************************************************/




/* MOBILE: */
@media only screen and (max-width: 992px) {

    .content,
    #form_holder{
        width: 80vw;
       
    }

    input{
        width: 100%;
    }

    .header-text{
        font-size: 2.2rem;
    }

    #modal-signup{
        height: 100vh !important ;
    }

    #modal-signup-holder{
       width: auto;
     
    }

    #modal-signup-holder{
        height: 100vh;
    }

    #signup-close{
        position: fixed;
        top:0;
        right:0;
        bottom: auto;
        left: auto;
        overflow-x: hidden;
        
    }

    #go-button{
        width: 50vw;
    }

  
}